{
  config,
  lib,
  pkgs,
  inputs,
  ...
}:

with lib;

let
  cfg = config.athenix.sw;
  basePackages = with pkgs; [
    # Build-related packages can be added here if needed
  ];
in
{
  environment.systemPackages = subtractLists cfg.excludePackages (basePackages ++ cfg.extraPackages);

  programs.ssh.knownHosts."factory.uga.edu" = {
    hostNames = [ "factory.uga.edu" ];
    publicKey = ''
      ssh-ed25519 AAAAC3NzaC1lZDI1NTE5AAAAIGcrA7pAz+JGn7/7PqPR4aCZJB5c3aVMTvGXWjg/BqST
    '';
  };
  programs.ssh.knownHosts."github.com" = {
    hostNames = [ "github.com" ];
    publicKey = ''
      ssh-ed25519 AAAAC3NzaC1lZDI1NTE5AAAAIOMqqnkVzrm0SdG6UOoqKLsabgH5C9okWi0dh2l9GKJl
    '';
  };
}
